import { ElementRef } from '@angular/core';
import { Params } from '@angular/router';
import { BaseWidget } from '../BaseWidget/BaseWidget.component';
import { DisplayStateService } from '../../../services/DisplayStateService';
import { AppStateService } from '../../../services/AppStateService';
import { WebPlatformApiService } from '../../../services/WebPlatformApiService';
import { ClientSettingsService } from '../../../services/ClientSettingsService';
export declare class RandomChartComponent extends BaseWidget {
    protected element: ElementRef;
    protected clientSettingsService: ClientSettingsService;
    protected displayStateService: DisplayStateService;
    protected appStateService: AppStateService;
    protected webPlatformApiService: WebPlatformApiService;
    lineChartData: Array<any>;
    lineChartLabels: Array<any>;
    lineChartColors: Array<any>;
    lineChartLegend: boolean;
    lineChartType: string;
    lineChartOptions: any;
    seriesCount: number;
    dataCount: number;
    constructor(element: ElementRef, clientSettingsService: ClientSettingsService, displayStateService: DisplayStateService, appStateService: AppStateService, webPlatformApiService: WebPlatformApiService);
    chartClicked(e: any): void;
    chartHovered(e: any): void;
    onInitialize(): void;
    StaticSettings(): void;
    onNewMessage(messageParams: Params): void;
    RefreshClick(): void;
    BuildRandomData(): void;
}
